#[macro_use]
mod err;
mod pack;

pub use err::*;

use libappindicator::*;
use gtk::prelude::*;
use pack::*;

fn main() {
    gtk::init().unwrap();
    let mut icon_pack = IconPack::new("./res", "parrot", PackVariant::Dark).unwrap();
    let mut indicator = AppIndicator::new("parrotd", "");
    indicator.set_icon_theme_path(icon_pack.pack_path());
    indicator.set_icon_full(icon_pack.next_icon_path(), "parrotd");
    indicator.set_status(AppIndicatorStatus::Active);
    let mut m = gtk::Menu::new();
    let mi = gtk::CheckMenuItem::with_label("I'm a parrot");
    mi.connect_activate(|_| {
        gtk::main_quit();
    });
    m.append(&mi);
    indicator.set_menu(&mut m);
    m.show_all();
    gtk::main();
}
